require 'http'

module Ginspider

  class Http

    # 
    # return the basic response of the http request
    # 
    def self.basic_res(url)
      @basic_res = get_basic_res(url)
      return @basic_res
    end

    # 
    # return thr response body of the http request
    # 
    def self.res_body(url)
      @res_body = get_res_body(url)
      return @res_body
    end

    private

    # 
    # get the basic response of an HTTP request
    # 
    def self.get_basic_res(url)
      basic_res = HTTP.get(url)
      return basic_res
    end

    # 
    # get the response body
    # 
    def self.get_res_body(url)
      basic_res = get_basic_res(url)
      res_body = basic_res.body
      return res_body
    end

  end

end