require 'awesome_print'
require 'ginspider/version'
require 'ginspider/http'
require 'ginspider/analysis'

module Ginspider

  class Main
    
    # 
    # get the basic response
    # 
    def self.crawl(url, options = {})
      basic_res = basic_res(url)
      return basic_res
    end

    # define the main crawler
    # 
    def self.crawl_with_noko(url, options = {})
      noko_res = Analysis.noko_res(url)
      return noko_res
    end

    # 
    # define the main method to get all links
    # 
    def self.links_of(url, options = {})
      res_links = Analysis.res_links(url, options)
      return res_links
    end

    # 
    # define the main method to get all texts
    # 
    def self.text_of(url, options = {})
      res_text = Analysis.res_text(url, options)
      return res_text
    end

    private

    # 
    # get the basic response
    # 
    def self.basic_res(url, options = {})
      @basic_res = Http.basic_res(url)
      return @basic_res
    end

  end

end
