require 'rubygems'
require 'ginspider/main'

module Ginspider
	
  # 
  # the api method to crawl a website, and get the basic response
  # 
  def Ginspider.crawl(url, options = {})
    Main.crawl(url, options)
  end

  # 
  # the api method to get all links with url and options
  # 
  def Ginspider.links_of(url, options = {})
  	Main.links_of(url, options)
  end

  # 
  # the api method to get text with url and options
  # 
  def Ginspider.text_of(url, options = {})
  	Main.text_of(url, options)
  end

end